<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="3"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="-2" pref="54" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="jScrollPane1" min="-2" pref="563" max="-2" attributes="0"/>
                          <Group type="102" alignment="0" attributes="0">
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Group type="103" alignment="0" groupAlignment="0" max="-2" attributes="0">
                                      <Group type="102" attributes="0">
                                          <Component id="Id" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace type="separate" max="-2" attributes="0"/>
                                          <Component id="txtId" min="-2" pref="64" max="-2" attributes="0"/>
                                      </Group>
                                      <Component id="txtProduto" max="32767" attributes="0"/>
                                  </Group>
                                  <Component id="jLabel2" alignment="0" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace min="-2" pref="46" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Component id="jLabel5" min="-2" max="-2" attributes="0"/>
                                  <Group type="102" alignment="0" attributes="0">
                                      <EmptySpace min="-2" pref="15" max="-2" attributes="0"/>
                                      <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                                  </Group>
                                  <Component id="btnRemover" min="-2" max="-2" attributes="0"/>
                                  <Group type="102" attributes="0">
                                      <Component id="txtQuantidade" min="-2" pref="141" max="-2" attributes="0"/>
                                      <EmptySpace min="-2" pref="32" max="-2" attributes="0"/>
                                      <Component id="btnAdicionar" min="-2" max="-2" attributes="0"/>
                                  </Group>
                              </Group>
                          </Group>
                      </Group>
                      <EmptySpace pref="52" max="32767" attributes="0"/>
                  </Group>
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" pref="252" max="-2" attributes="0"/>
                      <Component id="jLabel3" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="labelTotalVenda" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="32767" attributes="0"/>
                      <Component id="btnFinalizar" min="-2" max="-2" attributes="0"/>
                      <EmptySpace min="-2" pref="99" max="-2" attributes="0"/>
                  </Group>
              </Group>
          </Group>
          <Group type="103" rootIndex="1" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="64" max="-2" attributes="0"/>
                  <Component id="jLabel4" min="-2" max="-2" attributes="0"/>
                  <EmptySpace pref="476" max="32767" attributes="0"/>
              </Group>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="17" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="jLabel2" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel5" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="txtQuantidade" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="btnAdicionar" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="txtProduto" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="unrelated" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="btnRemover" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="txtId" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="Id" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" pref="22" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="jLabel3" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="labelTotalVenda" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="btnFinalizar" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jScrollPane1" min="-2" pref="194" max="-2" attributes="0"/>
              <EmptySpace pref="49" max="32767" attributes="0"/>
          </Group>
          <Group type="103" rootIndex="1" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="181" max="-2" attributes="0"/>
                  <Component id="jLabel4" min="-2" max="-2" attributes="0"/>
                  <EmptySpace pref="245" max="32767" attributes="0"/>
              </Group>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JTextField" name="txtQuantidade">
      <Properties>
        <Property name="toolTipText" type="java.lang.String" value=""/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="btnAdicionar">
      <Properties>
        <Property name="text" type="java.lang.String" value="adicionar"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnAdicionarActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnRemover">
      <Properties>
        <Property name="text" type="java.lang.String" value="Remover"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnRemoverActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JTextField" name="txtId">
    </Component>
    <Component class="javax.swing.JLabel" name="Id">
      <Properties>
        <Property name="text" type="java.lang.String" value="Id produto:"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="text" type="java.lang.String" value="Realizar Venda"/>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="tabelaProdutos">
          <Properties>
            <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.editors2.TableModelEditor">
              <Table columnCount="4" rowCount="4">
                <Column editable="false" title="*" type="java.lang.Integer"/>
                <Column editable="true" title="nome" type="java.lang.String"/>
                <Column editable="false" title="quantidade" type="java.lang.Double"/>
                <Column editable="false" title="total" type="java.lang.Double"/>
              </Table>
            </Property>
            <Property name="columnModel" type="javax.swing.table.TableColumnModel" editor="org.netbeans.modules.form.editors2.TableColumnModelEditor">
              <TableColumnModel selectionModel="0">
                <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="true">
                  <Title/>
                  <Editor/>
                  <Renderer/>
                </Column>
                <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="true">
                  <Title/>
                  <Editor/>
                  <Renderer/>
                </Column>
                <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="true">
                  <Title/>
                  <Editor/>
                  <Renderer/>
                </Column>
                <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="true">
                  <Title/>
                  <Editor/>
                  <Renderer/>
                </Column>
              </TableColumnModel>
            </Property>
            <Property name="tableHeader" type="javax.swing.table.JTableHeader" editor="org.netbeans.modules.form.editors2.JTableHeaderEditor">
              <TableHeader reorderingAllowed="true" resizingAllowed="true"/>
            </Property>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JLabel" name="jLabel2">
      <Properties>
        <Property name="text" type="java.lang.String" value="Id do produto"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel3">
      <Properties>
        <Property name="text" type="java.lang.String" value="total: "/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="labelTotalVenda">
    </Component>
    <Component class="javax.swing.JTextField" name="txtProduto">
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel4">
      <Properties>
        <Property name="text" type="java.lang.String" value="Produtos da venda"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel5">
      <Properties>
        <Property name="text" type="java.lang.String" value="Quantidade"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="btnFinalizar">
      <Properties>
        <Property name="text" type="java.lang.String" value="finalizar"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnFinalizarActionPerformed"/>
      </Events>
    </Component>
  </SubComponents>
</Form>
